## r-cran-magick 2.0+dfsg

=== DESCRIPTION ===
Package: magick
Type: Package
Title: Advanced Graphics and Image-Processing in R
Version: 2.0
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
    comment = c(ORCID = "0000-0002-4035-0289"))
Description: Bindings to 'ImageMagick': the most comprehensive open-source image
    processing library available. Supports many common formats (png, jpeg, tiff,
    pdf, etc) and manipulations (rotate, scale, crop, trim, flip, blur, etc).
    All operations are vectorized via the Magick++ STL meaning they operate either
    on a single frame or a series of frames for working with layers, collages,
    or animation. In RStudio images are automatically previewed when printed to
    the console, resulting in an interactive editing environment. The latest 
    version of the package includes a native graphics device for creating 
    in-memory graphics or drawing onto images using pixel coordinates.
License: MIT + file LICENSE
URL: https://github.com/ropensci/magick#readme
BugReports: https://github.com/ropensci/magick/issues
SystemRequirements: ImageMagick++: ImageMagick-c++-devel (rpm) or
        libmagick++-dev (deb)
VignetteBuilder: knitr
Imports: Rcpp (>= 0.12.12), magrittr, curl
LinkingTo: Rcpp
Suggests: av, spelling, jsonlite, methods, knitr, rmarkdown, rsvg,
        webp, pdftools, ggplot2, raster, rgdal, gapminder, IRdisplay,
        tesseract (>= 2.0), gifski
Encoding: UTF-8
RoxygenNote: 6.1.0
Language: en-US
NeedsCompilation: yes
Packaged: 2018-10-04 23:21:28 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2018-10-05 10:00:03 UTC

=== debian/changelog ===
r-cran-magick (2.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #916427)

 -- Andreas Tille <tille@debian.org>  Fri, 14 Dec 2018 13:49:37 +0100

=== debian/control ===
Source: r-cran-magick
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.12.12),
               r-cran-magrittr,
               r-cran-curl,
               libmagick++-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magick
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magick.git
Homepage: https://cran.r-project.org/package=magick

Package: r-cran-magick
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libmagick++-dev
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: advanced graphics and image-processing in GNU R
 Bindings to 'ImageMagick': the most comprehensive open-source image
 processing library available. Supports many common formats (png, jpeg, tiff,
 pdf, etc) and manipulations (rotate, scale, crop, trim, flip, blur, etc).
 All operations are vectorized via the Magick++ STL meaning they operate either
 on a single frame or a series of frames for working with layers, collages,
 or animation. In RStudio images are automatically previewed when printed to
 the console, resulting in an interactive editing environment. The latest
 version of the package includes a native graphics device for creating
 in-memory graphics or drawing onto images using pixel coordinates.

## r-cran-magick 2.3%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: magick
 Type: Package
 Title: Advanced Graphics and Image-Processing in R
-Version: 2.0
+Version: 2.3
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Bindings to 'ImageMagick': the most comprehensive open-source image
@@ -14,22 +14,23 @@
     version of the package includes a native graphics device for creating 
     in-memory graphics or drawing onto images using pixel coordinates.
 License: MIT + file LICENSE
-URL: https://github.com/ropensci/magick#readme
+URL: https://docs.ropensci.org/magick (website)
+        https://github.com/ropensci/magick (devel)
 BugReports: https://github.com/ropensci/magick/issues
 SystemRequirements: ImageMagick++: ImageMagick-c++-devel (rpm) or
         libmagick++-dev (deb)
 VignetteBuilder: knitr
 Imports: Rcpp (>= 0.12.12), magrittr, curl
 LinkingTo: Rcpp
-Suggests: av, spelling, jsonlite, methods, knitr, rmarkdown, rsvg,
-        webp, pdftools, ggplot2, raster, rgdal, gapminder, IRdisplay,
-        tesseract (>= 2.0), gifski
+Suggests: av (>= 0.3), spelling, jsonlite, methods, knitr, rmarkdown,
+        rsvg, webp, pdftools, ggplot2, raster, rgdal, gapminder,
+        IRdisplay, tesseract (>= 2.0), gifski
 Encoding: UTF-8
-RoxygenNote: 6.1.0
+RoxygenNote: 7.0.2
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2018-10-04 23:21:28 UTC; jeroen
+Packaged: 2020-01-21 12:02:58 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2018-10-05 10:00:03 UTC
+Date/Publication: 2020-01-24 06:50:13 UTC

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.12.12),
                r-cran-magrittr,
                r-cran-curl,
                libmagick++-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magick
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magick.git
 Homepage: https://cran.r-project.org/package=magick
@@ -20,8 +20,7 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         libmagick++-dev
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: advanced graphics and image-processing in GNU R

## r-cran-magick 2.3+dfsg

=== debian/changelog ===
r-cran-magick (2.3+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:27 +0100

r-cran-magick (2.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2020 11:00:22 +0100

r-cran-magick (2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * Drop autopkgtest for the moment as long as r-cran-spelling is not uploaded

 -- Andreas Tille <tille@debian.org>  Mon, 16 Sep 2019 09:59:21 +0200

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/magick_([-\d.]*)\.tar\.gz

## r-cran-magick 2.6.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: magick
 Type: Package
 Title: Advanced Graphics and Image-Processing in R
-Version: 2.3
+Version: 2.6.0
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Bindings to 'ImageMagick': the most comprehensive open-source image
@@ -14,7 +14,7 @@
     version of the package includes a native graphics device for creating 
     in-memory graphics or drawing onto images using pixel coordinates.
 License: MIT + file LICENSE
-URL: https://docs.ropensci.org/magick (website)
+URL: https://docs.ropensci.org/magick/ (website)
         https://github.com/ropensci/magick (devel)
 BugReports: https://github.com/ropensci/magick/issues
 SystemRequirements: ImageMagick++: ImageMagick-c++-devel (rpm) or
@@ -23,14 +23,14 @@
 Imports: Rcpp (>= 0.12.12), magrittr, curl
 LinkingTo: Rcpp
 Suggests: av (>= 0.3), spelling, jsonlite, methods, knitr, rmarkdown,
-        rsvg, webp, pdftools, ggplot2, raster, rgdal, gapminder,
-        IRdisplay, tesseract (>= 2.0), gifski
+        rsvg, webp, pdftools, ggplot2, gapminder, IRdisplay, tesseract
+        (>= 2.0), gifski
 Encoding: UTF-8
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2020-01-21 12:02:58 UTC; jeroen
+Packaged: 2021-01-13 16:42:12 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2020-01-24 06:50:13 UTC
+Date/Publication: 2021-01-13 18:40:02 UTC

=== debian/changelog ===
r-cran-magick (2.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 06:56:44 +0100

r-cran-magick (2.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 23 Nov 2020 14:08:25 +0100

r-cran-magick (2.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 28 Oct 2020 11:29:45 +0100

r-cran-magick (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Sep 2020 15:24:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.12.12),
                r-cran-magrittr,
                r-cran-curl,
                libmagick++-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magick
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magick.git
 Homepage: https://cran.r-project.org/package=magick
+Rules-Requires-Root: no
 
 Package: r-cran-magick
 Architecture: any

## r-cran-magick 2.7.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: magick
 Type: Package
 Title: Advanced Graphics and Image-Processing in R
-Version: 2.6.0
+Version: 2.7.3
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Bindings to 'ImageMagick': the most comprehensive open-source image
@@ -29,8 +29,8 @@
 RoxygenNote: 7.1.1
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2021-01-13 16:42:12 UTC; jeroen
+Packaged: 2021-08-18 07:27:22 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2021-01-13 18:40:02 UTC
+Date/Publication: 2021-08-18 10:10:02 UTC

=== debian/changelog ===
r-cran-magick (2.7.3+dfsg-2) unstable; urgency=medium

  * Build-Conflicts: graphicsmagick-libmagick-dev-compat,
    libgraphicsmagick1-dev
    Closes: #995302

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 12:19:32 +0200

r-cran-magick (2.7.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 17:32:35 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,9 @@
                r-cran-magrittr,
                r-cran-curl,
                libmagick++-dev
-Standards-Version: 4.5.1
+Build-Conflicts: graphicsmagick-libmagick-dev-compat,
+                 libgraphicsmagick1-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magick
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magick.git
 Homepage: https://cran.r-project.org/package=magick

## r-cran-magick 2.7.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: magick
 Type: Package
 Title: Advanced Graphics and Image-Processing in R
-Version: 2.7.3
+Version: 2.7.4
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Bindings to 'ImageMagick': the most comprehensive open-source image
@@ -26,11 +26,11 @@
         rsvg, webp, pdftools, ggplot2, gapminder, IRdisplay, tesseract
         (>= 2.0), gifski
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2021-08-18 07:27:22 UTC; jeroen
+Packaged: 2023-03-09 20:12:19 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2021-08-18 10:10:02 UTC
+Date/Publication: 2023-03-09 22:10:02 UTC

=== debian/changelog ===
r-cran-magick (2.7.4+dfsg-2) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 09:18:56 +0200

r-cran-magick (2.7.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Activate autopkgtest since r-cran-spelling is available now

 -- Andreas Tille <tille@debian.org>  Sat, 24 Jun 2023 23:23:07 +0200

r-cran-magick (2.7.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Re-build with R 4.2.0-1

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 May 2022 13:42:48 +0530

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.12.12),
+               r-cran-rcpp,
                r-cran-magrittr,
                r-cran-curl,
                libmagick++-dev
 Build-Conflicts: graphicsmagick-libmagick-dev-compat,
                  libgraphicsmagick1-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magick
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magick.git
 Homepage: https://cran.r-project.org/package=magick

## r-cran-magick 2.7.5+dfsg

=== debian/changelog ===
r-cran-magick (2.7.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 18 Aug 2023 22:55:56 +0200

## r-cran-magick 2.8.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: magick
 Type: Package
 Title: Advanced Graphics and Image-Processing in R
-Version: 2.7.4
+Version: 2.8.2
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Bindings to 'ImageMagick': the most comprehensive open-source image
@@ -14,8 +14,8 @@
     version of the package includes a native graphics device for creating 
     in-memory graphics or drawing onto images using pixel coordinates.
 License: MIT + file LICENSE
-URL: https://docs.ropensci.org/magick/ (website)
-        https://github.com/ropensci/magick (devel)
+URL: https://docs.ropensci.org/magick/
+        https://ropensci.r-universe.dev/magick
 BugReports: https://github.com/ropensci/magick/issues
 SystemRequirements: ImageMagick++: ImageMagick-c++-devel (rpm) or
         libmagick++-dev (deb)
@@ -26,11 +26,11 @@
         rsvg, webp, pdftools, ggplot2, gapminder, IRdisplay, tesseract
         (>= 2.0), gifski
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2023-03-09 20:12:19 UTC; jeroen
+Packaged: 2023-12-20 15:07:24 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2023-03-09 22:10:02 UTC
+Date/Publication: 2023-12-20 17:20:02 UTC

=== debian/changelog ===
r-cran-magick (2.8.2+dfsg-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:27:02 +1100

r-cran-magick (2.8.2+dfsg-1build2) noble; urgency=high

  * No change rebuild against libmagickcore-6.q16-7t64, libmagick++-
    6.q16-9t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:52:00 +0100

r-cran-magick (2.8.2+dfsg-1build1) noble; urgency=medium

  * Rebuild against latest imagemagick

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:08:53 -0500

r-cran-magick (2.8.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 21:14:20 +0100

r-cran-magick (2.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 11:40:51 +0200

r-cran-magick (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 14 Oct 2023 08:02:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-magick
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-av (>= 0.3),
        r-cran-spelling,
        r-cran-jsonlite,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-rsvg,
        r-cran-pdftools,
        r-cran-ggplot2,
        r-cran-irdisplay
Restrictions: allow-stderr

## r-cran-magick 2.8.3+dfsg

=== debian/changelog ===
r-cran-magick (2.8.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 19 Jun 2024 08:49:35 +0900

## r-cran-magick 2.8.5%2Bdfsg

=== debian/changelog ===
r-cran-magick (2.8.5+dfsg-1deepin1) unstable; urgency=medium

  * Rebuild against imagemagick 7.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 04 Sep 2025 23:21:25 +0800

r-cran-magick (2.8.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Oct 2024 08:54:21 +0900

## r-cran-magick 2.8.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: magick
 Type: Package
 Title: Advanced Graphics and Image-Processing in R
-Version: 2.8.2
-Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
+Version: 2.8.5
+Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
     comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Bindings to 'ImageMagick': the most comprehensive open-source image
     processing library available. Supports many common formats (png, jpeg, tiff,
@@ -26,11 +26,11 @@
         rsvg, webp, pdftools, ggplot2, gapminder, IRdisplay, tesseract
         (>= 2.0), gifski
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2023-12-20 15:07:24 UTC; jeroen
+Packaged: 2024-09-19 16:13:03 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
-Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
+Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-12-20 17:20:02 UTC
+Date/Publication: 2024-09-20 08:40:10 UTC

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-cran-magick
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -14,7 +13,7 @@
                libmagick++-dev
 Build-Conflicts: graphicsmagick-libmagick-dev-compat,
                  libgraphicsmagick1-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magick
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magick.git
 Homepage: https://cran.r-project.org/package=magick

## r-cran-magick 2.9.0+dfsg

=== debian/changelog ===
r-cran-magick (2.9.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 16 Jan 2026 11:09:46 +0900

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,12 @@
                r-cran-rcpp,
                r-cran-magrittr,
                r-cran-curl,
-               libmagick++-dev
+               libmagick++-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
 Build-Conflicts: graphicsmagick-libmagick-dev-compat,
                  libgraphicsmagick1-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magick
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magick.git
 Homepage: https://cran.r-project.org/package=magick

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: run-unit-test
 Depends: @,
-         r-cran-av (>= 0.3),
+         r-cran-av,
         r-cran-spelling,
         r-cran-jsonlite,
         r-cran-knitr,
